Table of Contents

Class: ClassNode | eric3/Debugger/VariablesViewer.py
--- | ---

Class implementing a QListViewItem that represents a class.

Base Classes |
--- | ---
QListViewItem

Methods |
--- | ---
__init__ setOpen
| __init__

    __init__ (
            self,
            parent,
            dvar,
            dvalue,
            dtype,
            frmnr,
            scope,
            )

### Constructor

#### Arguments

parent
  parent of this item
dvar
  variable name (string or QString)
dvalue
  value string (string or QString)
dtype
  type string (string or QString)
frmnr
  frame number (0 is the current frame) (int)
scope
  flag indicating global (0) or local (1) variables

| setOpen

    setOpen ( self,  o )

### Public slot to set/reset the open state.

#### Arguments

- -- flag indicating the open state

Table of Contents

This document was automatically generated by HappyDoc version 2.1